Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.actions
Class MoveResourceAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.ui.actions.BaseSelectionListenerAction
              org.eclipse.ui.actions.SelectionListenerAction
                  org.eclipse.ui.actions.CopyResourceAction
                      org.eclipse.ui.actions.MoveResourceAction

All Implemented Interfaces:
  IAction, ISelectionChangedListener, ISelectionValidator

Direct Known Subclasses:
  ResourceNavigatorMoveAction

public class MoveResourceAction
extends CopyResourceAction

Standard action for moving the currently selected resources elsewhere in the workspace. All resources being moved as a group must be siblings.

This class may be instantiated; it is not intended to be subclassed.

Field Summary
`protected List` | `destinations` Keep a list of destinations so that any required update can be done after the move.
`static String` | `ID` The id of this action.

Fields inherited from class org.eclipse.ui.actions.CopyResourceAction
`operation`

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`MoveResourceAction(Shell shell)` Creates a new action.

Method Summary
`protected CopyFilesAndFoldersOperation` | `createOperation()` Returns the operation to perform when this action runs.
`protected List` | `getDestinations()` Returns the destination resources for the resources that have been moved so far.
`protected IResource[]` | `getResources(List resourceList)` Returns an array of resources to use for the operation from the provided list.
`protected void` | `runOperation(IResource[] resources, IContainer destination)` Runs the operation created in `createOperaiton`

Methods inherited from class org.eclipse.ui.actions.CopyResourceAction
`getNewNameFor, isValid, run, updateSelection`

Methods inherited from class org.eclipse.ui.actions.SelectionListenerAction
`clearCache, getSelectedNonResources, getSelectedResources, resourceIsType, selectionIsOfType`

Methods inherited from class org.eclipse.ui.actions.BaseSelectionListenerAction
`getStructuredSelection, runWithEvent, selectionChanged, selectionChanged`

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    public static final String ID

  The id of this action.

  See Also:
    Constant Field Values

### destinations

    protected List destinations

  Keep a list of destinations so that any required update can be done after the move.

Constructor Detail

### MoveResourceAction

    public MoveResourceAction(Shell shell)

  Creates a new action.

Parameters:
  `shell` - the shell for any dialogs

Method Detail

### createOperation

    protected CopyFilesAndFoldersOperation createOperation()

  Description copied from class: `CopyResourceAction`
  Returns the operation to perform when this action runs.

  Overrides:
    `createOperation` in class `CopyResourceAction`
  Returns:
    the operation to perform when this action runs.

### getDestinations

    protected List getDestinations()

  Returns the destination resources for the resources that have been moved so far.

  Returns:
    list of destination `IResource`s

### getResources

    protected IResource[] getResources(List resourceList)

  Description copied from class: `CopyResourceAction`
  Returns an array of resources to use for the operation from the provided list.

  Overrides:
    `getResources` in class `CopyResourceAction`
  Parameters:
    `resourceList` - The list of resources to converted into an array.
  Returns:
    an array of resources to use for the operation

### runOperation

    protected void runOperation(IResource[] resources,
                                IContainer destination)

  Description copied from class: `CopyResourceAction`
  Runs the operation created in `createOperaiton`

  Overrides:
    `runOperation` in class `CopyResourceAction`
  Parameters:
    `resources` - source resources to pass to the operation
    `destination` - destination container to pass to the operation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.